repair on station dock
Status: Implemented Start date: 2014-10-16
Target version:
Description

as we now have access to this function via isxeve, it would be super duper awesome if sb would repair muh drones (and/or other
damage), thx.

History

#1 - 2014-10-23 08:35 PM - Stealthy
- Status changed from New to In Progress

- Assignee set to Stealthy

This will be present in versions >= 0.9.4.1.

We've all but finished implementing the option and logic for this feature. Unfortunately, we ran into ISXEVE bugs (see:
https://forge.isxgames.com/issues/1250) while testing.

As soon as those are resolved, this should be complete and released.
#2 - 2014-10-24 05:53 AM - Stealthy
For mission running, we've implemented repairing while in station before turning in a mission and tested it - that part works.
To-do:
e Track last armor % before dock and make sure it's even necessary to do the repair query.

¢ Implement armor repairs after fleeing to station
e Implement armor repairs during mining dropoff

#3 - 2014-10-24 12:52 PM - Stealthy

- Status changed from In Progress to Implemented

| opted to not implement it for mining yet as that'll take some more deep-reaching modification. However, it's implemented for Misisoning during
mission turn-in and for handling having fled to station due to low armor.

I've also made it so it will skip the repair process if our ship appears to be in perfect health - if we are at 100% armor, if we didn't see any damaged
drones, and didn't see any damaged modules.
